## dbf2mysql 1.14a

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile fopr the dbf2mysql-utility
+# Makefile for the dbf2mysql-utility
 # Maarten Boekhold (boekhold@cindy.et.tudelft.nl) 1995
 
 # Set this to your C-compiler
@@ -12,11 +12,17 @@
 AR=ar
 
 # Set this to whatever your compiler accepts. Nothing special is needed
+#CFLAGS=-g -Wall -pedantic -include /usr/include/mpatrol.h
+#CFLAGS=-g -Wall
 CFLAGS=-O2 -Wall
 
-# Set this to your Minerva (mSQL) installation-path
-MYSQLINC=-I/usr/local/include/mysql
-MYSQLLIB=-L/usr/local/lib/mysql
+# Set this to make smaller binaries
+#STRIP=
+STRIP=-s
+
+# Set this to your MySQL installation-path
+MYSQLINC=-I/usr/include/mysql
+MYSQLLIB=-L/usr/lib/mysql
 
 # Set this to where you want the binary (no man-page yet, don't know
 # how to write them)
@@ -26,6 +32,8 @@
 #
 # For Solaris use:
 #EXTRALIBS= -lmysys -lmystrings -lmysqlclient  -lm
+# For mpatrol use (see http://www.cbmamiga.demon.co.uk/mpatrol/)
+#EXTRALIBS= -lmpatrol -lbfd -liberty -lmysqlclient -lm
 EXTRALIBS= -lmysqlclient -lm
 
 # You should not have to change this unless your system doesn't have gzip
@@ -34,8 +42,9 @@
 RM=/bin/rm -f
 GZIP=/bin/gzip
 TAR=/bin/tar
+BZIP2=/usr/bin/bzip2
 
-VERSION=1.10b
+VERSION=1.14
 
 OBJS=dbf.o endian.o libdbf.a dbf2mysql.o mysql2dbf.o
 
@@ -45,11 +54,11 @@
 	$(AR) rcs libdbf.a dbf.o endian.o
 
 dbf2mysql: dbf2mysql.o libdbf.a
-	$(CC) $(CFLAGS) -s -L. $(MYSQLLIB) -o $@ dbf2mysql.o -ldbf \
+	$(CC) $(CFLAGS) $(STRIP) -L. $(MYSQLLIB) -o $@ dbf2mysql.o -ldbf \
 		$(EXTRALIBS)
-	
+
 mysql2dbf: mysql2dbf.o libdbf.a
-	$(CC) $(CFLAGS) -s -L. $(MYSQLLIB) -o $@ mysql2dbf.o -ldbf \
+	$(CC) $(CFLAGS) $(STRIP) -L. $(MYSQLLIB) -o $@ mysql2dbf.o -ldbf \
 		$(EXTRALIBS)
 
 dbf.o: dbf.c dbf.h
@@ -80,4 +89,12 @@
 	(cd .. ; $(TAR) cf dbf2mysql-$(VERSION).tar dbf2mysql-$(VERSION)/*.[ch] \
 	dbf2mysql-$(VERSION)/Makefile dbf2mysql-$(VERSION)/README \
         dbf2mysql-$(VERSION)/kbl2win.cvt ; \
-	$(GZIP) -9 dbf2mysql-$(VERSION).tar)
+	$(GZIP) -f9 dbf2mysql-$(VERSION).tar)
+
+distbz2:
+#	-expand -4 README.tab > README
+	(cd .. ; $(TAR) cf dbf2mysql-$(VERSION).tar dbf2mysql-$(VERSION)/*.[ch] \
+	dbf2mysql-$(VERSION)/Makefile dbf2mysql-$(VERSION)/README \
+        dbf2mysql-$(VERSION)/kbl2win.cvt ; \
+	$(BZIP2) dbf2mysql-$(VERSION).tar)
+
