=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

dh_override_auto_configure:

dh_override_auto_build:
	$(MAKE) DESTDIR=$(CURDIR)/debian/dbf2mysql

dh_override_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/dbf2mysql install
