## dbf2mysql 1.14a-3

=== debian/control ===
Source: dbf2mysql
Section: misc
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), dpatch, libmysqlclient10-dev | libmysqlclient-dev

Package: dbf2mysql
Architecture: any
Depends: ${shlibs:Depends}
Description: xBase <--> MySQL
 This program takes an xBase file and sends queries to an MySQL server to
 insert it into an MySQL table and vice versa.
