## dbf2mysql 1.14a-3ubuntu1

=== debian/changelog ===
dbf2mysql (1.14a-3ubuntu1) dapper; urgency=low

  * Update build-dep to libmysqlclient15-dev
  * mysql2dbf.c - Replace mysql_connect with my_connect

 -- Barry deFreese <bddebian@comcast.net>  Fri, 19 May 2006 06:50:56 -0400
