=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 3), dpatch, libmysqlclient10-dev | libmysqlclient-dev
+Build-Depends: debhelper (>= 3), dpatch, libmysqlclient15-dev
 
 Package: dbf2mysql
 Architecture: any
